#include <iostream>
using namespace std;

class myclass {
	int who;
public:
	myclass(int n){
		who = n;
		cout << "コンストラクタの呼び出し " << who << "\n";
	}
	~myclass(){cout << "デストラクタの呼び出し" << who << "\n";}
	int id(){return who;}
};

void f(myclass o)
{
	cout << "受け取り" << o.id() << "\n";
}

int main()
{
	myclass x(1);
	f(x);
	return 0;
}